Subject: [MMUSIC] ICE-TCP: Why isn't passive enough for ICE lite

From: "Christer Holmberg" <[email-masked]>
Date: Fri, 26 Oct 2007 12:47:40 +0200

Hi,

The ICE-TCP draft says that all entities supporting ICE for TCP must be
full ICE compliant.

My question is: why can't an ICE lite entity (ie an entity which knows
it's not located behind a NAT) simply send a single TCP passive
candidate, and tell the other party (possibly located behind a NAT) to
establish that TCP connection. That should work with all NATs, shouldn't
it?

Regards,

Christer
_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic